org.apache.http.osgi.impl

## Class OSGiProxyConfiguration

- java.lang.Object
- - org.apache.http.osgi.impl.OSGiProxyConfiguration

All Implemented Interfaces:
  ProxyConfiguration

    public final class OSGiProxyConfiguration
    extends Object
    implements ProxyConfiguration

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`OSGiProxyConfiguration()`

### Method Summary

Methods
`String` `getHostname()`
`String` `getPassword()`
`int` `getPort()`
`String[]` `getProxyExceptions()`
`String` `getUsername()`
`boolean` `isEnabled()`
`String` `toString()`
`void` `update(Dictionary<String,Object> config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OSGiProxyConfiguration

    public OSGiProxyConfiguration()

### Method Detail

#### isEnabled

    public boolean isEnabled()

Specified by:
  `isEnabled` in interface `ProxyConfiguration`

#### getHostname

    public String getHostname()

Specified by:
  `getHostname` in interface `ProxyConfiguration`

#### getPort

    public int getPort()

Specified by:
  `getPort` in interface `ProxyConfiguration`

#### getUsername

    public String getUsername()

Specified by:
  `getUsername` in interface `ProxyConfiguration`

#### getPassword

    public String getPassword()

Specified by:
  `getPassword` in interface `ProxyConfiguration`

#### getProxyExceptions

    public String[] getProxyExceptions()

Specified by:
  `getProxyExceptions` in interface `ProxyConfiguration`

#### update

    public void update(Dictionary<String,Object> config)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`